Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566454 - [abrt] pidgin: pidgin killed by SIGABRT
Summary: [abrt] pidgin: pidgin killed by SIGABRT
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2216cb98bb716ab3c5bf2db9abc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 10:59 UTC by Michal Konecny
Modified: 2018-08-02 19:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:33:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.75 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: core_backtrace (33.82 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: dso_list (22.27 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: environ (1.50 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: maps (108.65 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: open_fds (3.27 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details
File: var_log_messages (1.00 KB, text/plain)
2018-04-12 10:59 UTC, Michal Konecny
no flags Details

Description Michal Konecny 2018-04-12 10:59:08 UTC
Description of problem:
I accepted the incoming file and after transfer the pidgin crashed.
This was done on the pidgin-sipe plugin.

Version-Release number of selected component:
pidgin-2.12.0-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        pidgin
executable:     /usr/bin/pidgin
journald_cursor: s=7d67c213b30f4ae69b707872b76097b8;i=17d90;b=ce976dc59e6e47c0af50c61796dd47f5;m=29712813c9;t=569a3fef9cc31;x=458bea83d53f57ad
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Michal Konecny 2018-04-12 10:59:16 UTC
Created attachment 1420798 [details]
File: backtrace

Comment 2 Michal Konecny 2018-04-12 10:59:17 UTC
Created attachment 1420799 [details]
File: cgroup

Comment 3 Michal Konecny 2018-04-12 10:59:19 UTC
Created attachment 1420800 [details]
File: core_backtrace

Comment 4 Michal Konecny 2018-04-12 10:59:21 UTC
Created attachment 1420801 [details]
File: cpuinfo

Comment 5 Michal Konecny 2018-04-12 10:59:23 UTC
Created attachment 1420802 [details]
File: dso_list

Comment 6 Michal Konecny 2018-04-12 10:59:24 UTC
Created attachment 1420803 [details]
File: environ

Comment 7 Michal Konecny 2018-04-12 10:59:26 UTC
Created attachment 1420804 [details]
File: limits

Comment 8 Michal Konecny 2018-04-12 10:59:28 UTC
Created attachment 1420805 [details]
File: maps

Comment 9 Michal Konecny 2018-04-12 10:59:30 UTC
Created attachment 1420806 [details]
File: mountinfo

Comment 10 Michal Konecny 2018-04-12 10:59:32 UTC
Created attachment 1420807 [details]
File: open_fds

Comment 11 Michal Konecny 2018-04-12 10:59:33 UTC
Created attachment 1420808 [details]
File: proc_pid_status

Comment 12 Michal Konecny 2018-04-12 10:59:35 UTC
Created attachment 1420809 [details]
File: var_log_messages

Comment 13 Egon Kastelijn 2018-07-02 08:49:19 UTC
Same crash here on Fedora 28.
My crash also happened after I accepted a PNG file transfer.

pidgin-2.13.0-1.fc28.1.x86_64
pidgin-sipe-1.23.2-1.fc28.x86_64
pidgin-otr-4.0.2-5.fc28.x86_64
purple-sipe-1.23.2-1.fc28.x86_64
libpurple-2.13.0-1.fc28.1.x86_64

Comment 14 Igor Raits 2018-08-02 15:33:18 UTC
Please test with latest updates and reopen if still reproducible.

Comment 15 Egon Kastelijn 2018-08-02 19:47:12 UTC
I don't think anything has changed with the minor patch for purple-sipe from 1.23.2-1 to 1.23.2-2.
The RPM changelog only mentions:
- add upstream patch for Remmina v1.2.0 rcgit.27 (bz #1594900)

I'll re-test the PNG-transfer soon, but based on the changelog I am convinced that this bug is not fixed yet.

I think this bug needs to be re-opened, but I am not the owner of the bug, so I can not re-open it.


Note You need to log in before you can comment on or make changes to this bug.